# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: example/greeter/v1beta1/greeter_api.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='example/greeter/v1beta1/greeter_api.proto',
  package='example.greeter.v1beta1',
  syntax='proto3',
  serialized_options=b'Z\020./greeterv1beta1',
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n)example/greeter/v1beta1/greeter_api.proto\x12\x17\x65xample.greeter.v1beta1\"\x1c\n\x0cGreetRequest\x12\x0c\n\x04name\x18\x01 \x01(\t\" \n\rGreetResponse\x12\x0f\n\x07message\x18\x01 \x01(\t2d\n\nGreeterAPI\x12V\n\x05Greet\x12%.example.greeter.v1beta1.GreetRequest\x1a&.example.greeter.v1beta1.GreetResponseB\x12Z\x10./greeterv1beta1b\x06proto3'
)




_GREETREQUEST = _descriptor.Descriptor(
  name='GreetRequest',
  full_name='example.greeter.v1beta1.GreetRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='name', full_name='example.greeter.v1beta1.GreetRequest.name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=70,
  serialized_end=98,
)


_GREETRESPONSE = _descriptor.Descriptor(
  name='GreetResponse',
  full_name='example.greeter.v1beta1.GreetResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='message', full_name='example.greeter.v1beta1.GreetResponse.message', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=100,
  serialized_end=132,
)

DESCRIPTOR.message_types_by_name['GreetRequest'] = _GREETREQUEST
DESCRIPTOR.message_types_by_name['GreetResponse'] = _GREETRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GreetRequest = _reflection.GeneratedProtocolMessageType('GreetRequest', (_message.Message,), {
  'DESCRIPTOR' : _GREETREQUEST,
  '__module__' : 'example.greeter.v1beta1.greeter_api_pb2'
  # @@protoc_insertion_point(class_scope:example.greeter.v1beta1.GreetRequest)
  })
_sym_db.RegisterMessage(GreetRequest)

GreetResponse = _reflection.GeneratedProtocolMessageType('GreetResponse', (_message.Message,), {
  'DESCRIPTOR' : _GREETRESPONSE,
  '__module__' : 'example.greeter.v1beta1.greeter_api_pb2'
  # @@protoc_insertion_point(class_scope:example.greeter.v1beta1.GreetResponse)
  })
_sym_db.RegisterMessage(GreetResponse)


DESCRIPTOR._options = None

_GREETERAPI = _descriptor.ServiceDescriptor(
  name='GreeterAPI',
  full_name='example.greeter.v1beta1.GreeterAPI',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=134,
  serialized_end=234,
  methods=[
  _descriptor.MethodDescriptor(
    name='Greet',
    full_name='example.greeter.v1beta1.GreeterAPI.Greet',
    index=0,
    containing_service=None,
    input_type=_GREETREQUEST,
    output_type=_GREETRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_GREETERAPI)

DESCRIPTOR.services_by_name['GreeterAPI'] = _GREETERAPI

# @@protoc_insertion_point(module_scope)
